org.apache.felix.ipojo.manipulator.util

## Class Collections5

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.util.Collections5

    public class Collections5
    extends Object

`Collections5` is a static collection of methods being part of the Java6 Collections class.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Collections5()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T[]` `copyOf(T[] original, int newLength)` Copies the specified array, truncating or padding with nulls (if necessary) so the copy has the specified length.
`static <T,U> T[]` `copyOf(U[] original, int newLength, Class<? extends T[]> newType)` Copies the specified array, truncating or padding with nulls (if necessary) so the copy has the specified length.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Collections5

    public Collections5()

### Method Detail

#### copyOf

    public static <T> T[] copyOf(T[] original,
                                 int newLength)

Copies the specified array, truncating or padding with nulls (if necessary) so the copy has the specified length. For all indices that are valid in both the original array and the copy, the two arrays will contain identical values. For any indices that are valid in the copy but not the original, the copy will contain `null`. Such indices will exist if and only if the specified length is greater than that of the original array. The resulting array is of exactly the same class as the original array.

Parameters:
  `original` - the array to be copied
  `newLength` - the length of the copy to be returned
Returns:
  a copy of the original array, truncated or padded with nulls to obtain the specified length
Throws:
  `NegativeArraySizeException` - if `newLength` is negative
  `NullPointerException` - if `original` is null
Since:
  1.6

#### copyOf

    public static <T,U> T[] copyOf(U[] original,
                                   int newLength,
                                   Class<? extends T[]> newType)

Copies the specified array, truncating or padding with nulls (if necessary) so the copy has the specified length. For all indices that are valid in both the original array and the copy, the two arrays will contain identical values. For any indices that are valid in the copy but not the original, the copy will contain `null`. Such indices will exist if and only if the specified length is greater than that of the original array. The resulting array is of the class `newType`.

Parameters:
  `original` - the array to be copied
  `newLength` - the length of the copy to be returned
  `newType` - the class of the copy to be returned
Returns:
  a copy of the original array, truncated or padded with nulls to obtain the specified length
Throws:
  `NegativeArraySizeException` - if `newLength` is negative
  `NullPointerException` - if `original` is null
  `ArrayStoreException` - if an element copied from `original` is not of a runtime type that can be stored in an array of class `newType`
Since:
  1.6